Subject: bug#50959: closed (Re: [PATCH] Re: bug#50959: 28.0.50; Shorthand symbols are unknown to Emacs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Oct 2021 13:40:02 +0000

Your bug report

#50959: 28.0.50; Shorthand symbols are unknown to Emacs

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
50959: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=50959
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Re: bug#50959: 28.0.50; Shorthand symbols are unknown to Emacs
From: João Távora <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 10 Oct 2021 14:39:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: João Távora <[email-masked]>
>> Cc: Phil Sainty <[email-masked]>,  [email-masked],  Stefan
>>  Monnier <[email-masked]>,  [email-masked]
>> Date: Sun, 10 Oct 2021 11:46:11 +0100
>> 
>> I'll leave it up to you guys to figure out what to do here.
>
> I already did, and that's why I asked you to install that change.
> And that is all I have to say on this matter.

Done.  When someone strongly objects, I always seek confirmation from
the head maintainer before overriding them.

Also marking bug done.  If someone disagrees or finds bugs, let me know.

João

Subject: 28.0.50; Shorthand symbols are unknown to Emacs
From: Phil Sainty <[email-masked]>
To: [email-masked]
Date: Sat, 02 Oct 2021 22:20:09 +1300
List-Id: <debbugs-submit.debbugs.gnu.org>

Following up on 
https://lists.gnu.org/archive/html/emacs-devel/2021-10/msg00109.html

On 2021-10-02 21:53, Eli Zaretskii wrote:
>> From: Phil Sainty <[email-masked]>
>> On 2021-10-02 19:45, Eli Zaretskii wrote:
>> > There's a huge difference between breaking literal searches for
>> > symbols by text-searching tools, and breaking basic Emacs commands
>> > because the name the user sees and types is not known to Emacs.
>> 
>> But shorthands does *both* of those things.
>> 
>> The name the user sees is "s-foo".
>> The name known to Emacs is "string-library-foo" (or whatever).
>> The user types "C-h o s-foo RET" and Emacs says "no match".
> 
> If this is correct (I didn't try), please report it as a bug.

This was indeed the case in the build I'd compiled for testing:

GNU Emacs 28.0.50 of 2021-09-29
Repository revision: b02a7ad2631b6ac3a95e53cb26a0aa1b1ab7e98a
Repository branch: master

I tested with a copy of so-long.el in which I renamed all of the
so-long-* symbols to sl-* and then configured the local variable
;; elisp-shorthands: (("sl-" . "so-long-"))

Loading the new sl.el confirmed that Emacs didn't recognise the
shorthand symbols generally.

(Until now I was under the impression that this was all part and
parcel of the shorthands feature, but it turns out that it's a bug.)

-Phil